<?php

namespace App\Services\NoticeService\Channels;

abstract class Channel
{


    protected $notice_type = '';


    protected $templateId = '';


    protected $uid;
    protected $uuid;


    protected $content;


    protected $result;

    protected $page;


    public function getNoticeType()
    {
        return $this->notice_type;
    }


    public function getTemplateId()
    {
        return $this->templateId;
    }


    public function setUuid($uuid)
    {
        $this->uuid = $uuid;

        return $this;
    }


    public function getUUid()
    {
        return $this->uuid;
    }


    public function getUid()
    {
        return $this->uid;
    }


    public function getContent()
    {
        return $this->content;
    }


    public function setPath($path)
    {
        $path = urlencode("/" . $path);
        $uuid = $this->uuid;
        $page_path = "pages/starter/starter?log_type=notice&log_id={$uuid}&launch_type=free&url={$path}";
        $this->page = $page_path;

        return $this;
    }

    public function getPath()
    {
        return $this->page;
    }


    abstract public function send();
}
